Bug 496488 - root nautilus xguest - libgdu-WARNING **
root nautilus xguest - libgdu-WARNING **
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 11:53 EDT by Flóki Pálsson
Modified: 2015-03-03 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:05:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
part of warnings result form df and fdisk -l and ll foom the disk (13.64 KB, text/plain)
2009-04-19 11:53 EDT, Flóki Pálsson
no flags Details

  None (edit)
Description Flóki Pálsson 2009-04-19 11:53:28 EDT
Created attachment 340238 [details]
part of warnings  result form df and fdisk -l and ll foom the disk

Description of problem:
When running nautilus as root from terminal and browsing to a folder on disk with content created off and owned by uid 500, which is now in F11 user xguest, but was first user created in f10 ( and F9 and ...),
then there are many warnings in terminal.    

Version-Release number of selected component (if applicable):
nautilus-2.26.2-1.fc11.x86_64


How reproducible:
always

Steps to Reproduce:
1.
in terminal as root start nautilus 
root@localhost ~]# nautilus 
2.
browse to folder on disk with files created in previous fedora.
( /media/ymislegt ( on sda ))  
3.
  
Actual results:
very many warnings in terminal
" (nautilus:4751): libgdu-WARNING **: unhandled property 'device-presentation-hide'
_gdu_device_new_from_object_path: /dev/dm-1 ... "


Expected results:
Not so many warnings

Additional info:
See in attachment last part of warnings and
in bottom result form df and fdisk -l and ll foom the disk.

I think it is creates problems to use uid 500 fore user xguest.
uid 500 was the uid for first user created when innstallin F10 and before. 
I is a problem in F11 to access files on data disks for first regular user, now with uid 501.
Comment 1 Matthias Clasen 2009-04-19 14:35:40 EDT
xguest is a regular user. I just gets created before you have a chance to create your account, if xguest is included in the initial set of packages. FWIW, we've taken xguest out of the default install post-beta, so this problem should not occur with F11 final.

Wrt to your other problem, 

a) running nautilus as root is not really recommended or supported

b) you are not telling which version of DeviceKit-disks and gnome-disk-utility you have, so I cannot say for sure, but I believe those warnings should disappear with the latest versions of these
Comment 2 Flóki Pálsson 2009-04-19 14:56:55 EDT
> so this problem should not occur with F11 final.
I think that it  is wise.  

>a) running nautilus as root is not really recommended or supported
Well it is possible. 
>a) ... not really recommended or supported
I use it for example to change access or to edit file in gedit 

>b) you are not telling which version of DeviceKit-disks and gnome-disk-utility...
DeviceKit-disks-004-0.9.20090415git.fc11.x86_64
gnome-disk-utility-0.3-0.5.20090415git.fc11.x86_64
Comment 3 Bug Zapper 2009-06-09 10:07:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:46:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:05:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.